Subject: Re: [PATCH v9 03/23] dt-bindings: ufs: mediatek,ufs: Add mt8196 variant

From: Nicolas Frattaroli <[email-masked]>
Date: Mon, 09 Mar 2026 11:04:14 +0100

On Saturday, 7 March 2026 19:01:17 Central European Standard Time Martin K. Petersen wrote:
> 
> Nicolas,
> 
> >> "ufs" is redundant as all the clocks are for UFS. Same comment on prior 
> >> patch.
> >
> > Is this naming a big enough concern to block this series with two
> > explicit acks on this patch that fixes a wholly broken and useless
> > binding?
> 
> It is if it comes from one of the DT maintainers.
> 
> > I am trying to put out this dumpster fire of a downstream turd that
> > made its way into mainline as the review process has been completely
> > subverted, and is only getting worse with each passing month
> 
> This has to stop. Please read Documentation/process/code-of-conduct.rst.
> 
> 

I apologise for my tone, it's my frustration getting the better of me.

I'll be handing off this series to someone else, so you won't have to
deal with me anymore.

I do ask however that you don't apply patches from MediaTek blindly;
if there's code to read an OF property, and that OF property is not
in the binding, then the patch should be rejected, even if there's an
Ack from the MediaTek maintainer.